Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLFieldRendererImpl

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLFieldRendererImpl

Direct Known Subclasses:
  DateField, HiddenField, LOVField, PickList, ReadOnlyField, StaticPickList, TextArea, TextField

public class HTMLFieldRendererImpl
extends java.lang.Object
implements HTMLFieldRenderer

This class provides a base implementation of the `HTMLFieldRenderer` interface. Use this class as the base class for any new field renderers.

Field Summary
`protected int` | `nHeight`
`protected int` | `nLength`
`protected int` | `nWidth`
`protected java.lang.String` | `sClass`
`protected java.lang.String` | `sFormName`
`protected java.lang.String` | `sName`
`protected java.lang.String` | `sPrompt`
`protected java.lang.String` | `sValue`

Constructor Summary
`HTMLFieldRendererImpl()`

Method Summary
`java.lang.String` | `getCSSClassName()` Gets the name of the CSS (cascading style sheet) used by this field.
`int` | `getDisplayHeight()` Gets the display height, in characters, of this field.
`int` | `getDisplayWidth()` Gets the display width, in characters, of this field.
`java.lang.String` | `getFieldName()` Gets this FORM field's name.
`java.lang.String` | `getFormName()`
`int` | `getMaxDataLength()` Gets the maximum input length, in characters, of this field.
`java.lang.String` | `getPromptText()` Gets the prompt to be displayed next to this input field.
`java.lang.String` | `getValue()` Gets this field's current value.
`java.lang.String` | `renderToString(HTMLRenderingContext ctx, RowSet rs, Row row, java.lang.String sAttribute)` This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.
`void` | `setCSSClassName(java.lang.String sClass)` Sets the CSS (cascading style sheet) class name to be used by this field.
`void` | `setDisplayHeight(int nHeight)` Sets the display height, in characters, of this field.
`void` | `setDisplayWidth(int nWidth)` Sets the display width, in characters, of this field.
`void` | `setFieldName(java.lang.String sName)` Sets this FORM field's name.
`void` | `setFormName(java.lang.String sValue)`
`void` | `setMaxDataLength(int nLength)` Sets the maximum input length, in characters, of this field.
`void` | `setPromptText(java.lang.String sPrompt)` Sets the prompt to be displayed next to this input field.
`void` | `setValue(java.lang.String sValue)` Sets this field's current value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nWidth

    protected int nWidth

### nLength

    protected int nLength

### nHeight

    protected int nHeight

### sPrompt

    protected java.lang.String sPrompt

### sClass

    protected java.lang.String sClass

### sValue

    protected java.lang.String sValue

### sName

    protected java.lang.String sName

### sFormName

    protected java.lang.String sFormName

Constructor Detail

### HTMLFieldRendererImpl

    public HTMLFieldRendererImpl()

Method Detail

### setFieldName

    public void setFieldName(java.lang.String sName)

  Sets this FORM field's name. This will be the name of the input parameter when the HTML form is submitted.

  Specified by:
    setFieldName in interface HTMLFieldRenderer
  Parameters:
    `sName` - name of this FORM field.

### getFieldName

    public java.lang.String getFieldName()

  Gets this FORM field's name. This will be the name of the input parameter when the HTML form is submitted.

  Specified by:
    getFieldName in interface HTMLFieldRenderer
  Returns:
    this FORM field's name.

### setDisplayWidth

    public void setDisplayWidth(int nWidth)

  Sets the display width, in characters, of this field.

  Specified by:
    setDisplayWidth in interface HTMLFieldRenderer
  Parameters:
    `nWidth` - the display width, in characters.

### getDisplayWidth

    public int getDisplayWidth()

  Gets the display width, in characters, of this field.

  Specified by:
    getDisplayWidth in interface HTMLFieldRenderer
  Returns:
    the display width, in characters.

### setDisplayHeight

    public void setDisplayHeight(int nHeight)

  Sets the display height, in characters, of this field.

  Specified by:
    setDisplayHeight in interface HTMLFieldRenderer
  Parameters:
    `nHeight` - the display height, in characters.

### getDisplayHeight

    public int getDisplayHeight()

  Gets the display height, in characters, of this field.

  Specified by:
    getDisplayHeight in interface HTMLFieldRenderer
  Returns:
    the display height, in characters.

### setMaxDataLength

    public void setMaxDataLength(int nLength)

  Sets the maximum input length, in characters, of this field. The user will not be able to enter more than `nLength` characters.

  Specified by:
    setMaxDataLength in interface HTMLFieldRenderer
  Parameters:
    `nLength` - the maximum input length, in characters.

### getMaxDataLength

    public int getMaxDataLength()

  Gets the maximum input length, in characters, of this field. This is the maximum number of characters the user can enter in the field.

  Specified by:
    getMaxDataLength in interface HTMLFieldRenderer
  Returns:
    the maximum input length, in characters.

### setPromptText

    public void setPromptText(java.lang.String sPrompt)

  Sets the prompt to be displayed next to this input field.

  Specified by:
    setPromptText in interface HTMLFieldRenderer
  Parameters:
    `sPrompt` - the prompt for this input field.

### getPromptText

    public java.lang.String getPromptText()

  Gets the prompt to be displayed next to this input field.

  Specified by:
    getPromptText in interface HTMLFieldRenderer
  Returns:
    the prompt displayed next to this input field.

### setCSSClassName

    public void setCSSClassName(java.lang.String sClass)

  Sets the CSS (cascading style sheet) class name to be used by this field. You can the use this class name in your CSS file to change the visual attributes of the field.

  Specified by:
    setCSSClassName in interface HTMLFieldRenderer
  Parameters:
    `sClass` - the class name of the CSS.

### getCSSClassName

    public java.lang.String getCSSClassName()

  Gets the name of the CSS (cascading style sheet) used by this field.

  Specified by:
    getCSSClassName in interface HTMLFieldRenderer
  Returns:
    the class name of the CSS.

### setValue

    public void setValue(java.lang.String sValue)

  Sets this field's current value.

  Specified by:
    setValue in interface HTMLFieldRenderer
  Parameters:
    `sValue` - current value of this field.

### getValue

    public java.lang.String getValue()

  Gets this field's current value.

  Specified by:
    getValue in interface HTMLFieldRenderer
  Returns:
    this field's current value.

### renderToString

    public java.lang.String renderToString(HTMLRenderingContext ctx,
                                           RowSet rs,
                                           Row row,
                                           java.lang.String sAttribute)

  Description copied from interface: HTMLFieldRenderer
  This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.
  Specified by:
    renderToString in interface HTMLFieldRenderer

### setFormName

    public void setFormName(java.lang.String sValue)

  Specified by:
    setFormName in interface HTMLFieldRenderer

### getFormName

    public java.lang.String getFormName()

  Specified by:
    getFormName in interface HTMLFieldRenderer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD